SSEMATCH(1e)

NAME
ssematch - Search a DCF file for secondary structure matches.

SYNOPSIS

ssematch -ssinfile infile -dcfinfile infile [-datafile matrixf] -maxhits integer [-rgapopen float] [-rgapextend float] [-egapopen float] [-egapextend float] -outssfile outfile -outsefile outfile -logfile outfile

ssematch -help

DESCRIPTION

ssematch is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Utils:Database creation" command group(s).

OPTIONS

  Input section

-ssinfile infile
    This option specifies the name of the file of secondary structure (input).

-dcfinfile infile
    This option specifies the name of the DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS.

-datafile matrixf
    This option specifies the secondary structure substitution matrix. Default value: SSSUB

  Required section

-maxhits integer
    This option specifies the number of top-scoring matches to report. Default value: 5

  Additional section

-rgapopen float
    This options specifies the gap insertion penalty for reside-based alignment. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. Default value: 10

-rgapextend float
    This options specifies the gap extension penalty for residue-based alignment. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. Default value: 0.5

-egapopen float
    This options specifies the gap insertion penalty for element-based alignment. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. Default value: 10

-egapextend float
    This options specifies the gap extension penalty for secondary structure element-based alignment. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. Default value: 0.5

  Output section

-outssfile outfile
    This option specifies the name of the file containing top-scoring domains for residue-based alignment (output).A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like).

-outsefile outfile
    This option specifies the name of the file containing top-scoring domains for secondary structure element-based alignment (output). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like).

-logfile outfile
    This option specifies the name of the ssematch log file (output). Default value: ssematch.log

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

ssematch is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.